Bug 804026 - Segfault in clutter_text_buffer_normal_insert_text()
Segfault in clutter_text_buffer_normal_insert_text()
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
abrt_hash:b17570c455fad39048c95f4f9d7...
:
: 799845 801628 804025 808736 809809 810440 810598 814036 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-16 07:02 EDT by Misha Shnurapet
Modified: 2013-08-01 02:27 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 02:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (90.88 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details
File: dso_list (22.73 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details
File: smolt_data (2.88 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details
File: xsession_errors (1.08 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details
File: var_log_messages (14.02 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details
File: backtrace (82.50 KB, text/plain)
2012-03-16 07:03 EDT, Misha Shnurapet
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 673783 None None None Never

  None (edit)
Description Misha Shnurapet 2012-03-16 07:02:55 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _wordcopy_bwd_aligned
executable:     /usr/bin/gnome-shell
kernel:         3.3.0-0.rc7.git0.3.fc17.x86_64
pid:            3470
pwd:            /home/misha
reason:         Process /usr/bin/gnome-shell was killed by signal 11 (SIGSEGV)
time:           Пт. 16 марта 2012 04:27:13
uid:            1000
username:       misha

backtrace:      Text file, 84481 bytes
dso_list:       Text file, 23274 bytes
maps:           Text file, 93065 bytes
smolt_data:     Binary file, 2952 bytes
var_log_messages: Text file, 14353 bytes
xsession_errors: Binary file, 1111 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=saw
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/tmp/keyring-2skeFF
:'IMSETTINGS_MODULE=X compose table'
:USER=misha
:USERNAME=misha
:MAIL=/var/spool/mail/misha
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/misha/.local/bin:/home/misha/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1997
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/misha
:SHLVL=1
:LOGNAME=misha
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-FVp0nEr7HZ,guid=b1555489f2eaa1281ec91f8900000065
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/misha
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-misha-V2JdmZ/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2001,unix/unix:/tmp/.ICE-unix/2001
:GPG_AGENT_INFO=/tmp/keyring-2skeFF/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-2skeFF/ssh
:DESKTOP_AUTOSTART_ID=10124b54b931de2e4d13318306293595700000020010000
Comment 1 Misha Shnurapet 2012-03-16 07:03:02 EDT
Created attachment 570577 [details]
File: maps
Comment 2 Misha Shnurapet 2012-03-16 07:03:08 EDT
Created attachment 570578 [details]
File: dso_list
Comment 3 Misha Shnurapet 2012-03-16 07:03:11 EDT
Created attachment 570579 [details]
File: smolt_data
Comment 4 Misha Shnurapet 2012-03-16 07:03:14 EDT
Created attachment 570580 [details]
File: xsession_errors
Comment 5 Misha Shnurapet 2012-03-16 07:03:17 EDT
Created attachment 570581 [details]
File: var_log_messages
Comment 6 Misha Shnurapet 2012-03-16 07:03:23 EDT
Created attachment 570582 [details]
File: backtrace
Comment 7 abrt-bot 2012-03-20 14:34:38 EDT
*** Bug 801628 has been marked as a duplicate of this bug. ***
Comment 8 abrt-bot 2012-03-20 14:34:46 EDT
*** Bug 804025 has been marked as a duplicate of this bug. ***
Comment 9 Owen Taylor 2012-04-05 16:04:16 EDT
*** Bug 799845 has been marked as a duplicate of this bug. ***
Comment 10 Owen Taylor 2012-04-09 12:15:28 EDT
*** Bug 810598 has been marked as a duplicate of this bug. ***
Comment 11 Owen Taylor 2012-04-09 12:15:37 EDT
*** Bug 810440 has been marked as a duplicate of this bug. ***
Comment 12 Owen Taylor 2012-04-09 12:16:03 EDT
*** Bug 809809 has been marked as a duplicate of this bug. ***
Comment 13 Owen Taylor 2012-04-09 12:18:15 EDT
Studying backtraces revealed a bug in ClutterText where it got chars and bytes confused. It's not completely clear how that would cause these exact crashes, but I came up with a theory. Theory and Clutter patch can be found at:

 https://bugzilla.gnome.org/show_bug.cgi?id=673783
Comment 14 Mikhail 2012-04-16 02:44:16 EDT
Receive ICQ message

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Mikhail 2012-04-16 04:17:50 EDT
receive ICQ message (empathy)

backtrace_rating: 4
Package: gnome-shell-3.4.0-1.fc17
Architecture: i686
OS Release: Fedora release 17 (Beefy Miracle)
Comment 16 Owen Taylor 2012-04-19 12:26:32 EDT
*** Bug 814036 has been marked as a duplicate of this bug. ***
Comment 18 Owen Taylor 2012-04-20 12:05:03 EDT
*** Bug 808736 has been marked as a duplicate of this bug. ***
Comment 19 Fedora End Of Life 2013-07-03 21:43:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2013-08-01 02:27:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.